Bug 233480 - www/serf: Update LibreSSL patch
Summary: www/serf: Update LibreSSL patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-24 20:28 UTC by Bernard Spil
Modified: 2019-11-03 22:55 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (lev)


Attachments
svn diff for www/serf (931 bytes, patch)
2018-11-24 20:28 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-11-24 20:28:20 UTC
Created attachment 199524 [details]
svn diff for www/serf

The current LibreSSL patch for www/serf just kills the OpenSSL 1.1 API completely.
LibreSSL 2.7 (2.8 is the only available version in ports) added most of the OpenSSL 1.1 API.

Attached patch switches to OpenSSL 1.1 API for LibreSSL and fixes the one missing call (OpenSSL_malloc_init) in LibreSSL.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-08 01:36:08 UTC
ping!
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-10-02 13:50:04 UTC
Maintainer timeout?
Comment 3 commit-hook freebsd_committer 2019-11-03 22:55:04 UTC
A commit references this bug:

Author: lev
Date: Sun Nov  3 22:54:24 UTC 2019
New revision: 516613
URL: https://svnweb.freebsd.org/changeset/ports/516613

Log:
   Fix build with LibreSSL 2.8+

  PR:		233480
  Submitted by:	Bernard Spil <brnrd@freebsd.org>

Changes:
  head/www/serf/Makefile
  head/www/serf/files/patch-buckets_ssl__buckets.c
Comment 4 Lev A. Serebryakov freebsd_committer 2019-11-03 22:55:43 UTC
Committed (a least!), thnx!